summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..535ce0e
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,11 @@
+#! /bin/sh
+#This very stupid shell script is Public Domain.
+
+errorconf="returned an error code or did not exists at all. \
+You need autoconf >= 2.50 and automake >= 1.4. Sorry!"
+
+aclocal || { echo "aclocal $errorconf"; exit 1; }
+autoconf || { echo "autoconf $errorconf"; exit 1; }
+autoheader || { echo "autoheader $errorconf"; exit 1; }
+automake -a -c || { echo "automake $errorconf"; exit 1; }
+./configure --enable-maintainer-mode $*